Subject: bug#24107: 25.1; menu-bar-size and tool-bar-size are reported inconsistently on w32

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Jul 2016 11:41:32 +0300

> Date: Sat, 30 Jul 2016 10:22:14 +0200
> From: martin rudalics <[email-masked]>
> 
>  >   emacs -Q
>  >   M-: (frame-geometry) RET
>  >
>  > When I do this on MS-Windows, I get
>  >
>  >    ... (menu-bar-size 672 . 19) ... (tool-bar-size 680 . 36) ...
>  >
>  > which looks incorrect, because the width of both is the same.  I think
>  > the width of the menu bar is the correct one.  The reason I think that
>  > is that when I disable the scroll bars, the width reported for the
>  > menu bar is exactly the window-body-width plus the 16 pixels used up
>  > by the fringes.
> 
> It's the best I came up with so far.  I can't use the width of the menu
> bar: Try doing
> 
> (set-frame-parameter nil 'internal-border-width 36)
> 
> and you'll see what I mean.

OK, but this means you can compute the width of the tool bar as you do
for any other window, and then add to that the width of the fringes.
Since on Windows the tool bar is just a special window which doesn't
have fringes, this should be accurate, no?